Bug 187386 - CVE-2006-1058 BusyBox passwd command fails to generate password with salt
CVE-2006-1058 BusyBox passwd command fails to generate password with salt
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: busybox (Show other bugs)
5
All Linux
medium Severity low
: ---
: ---
Assigned To: Ivana Varekova
impact=low,reported=20060329,source=v...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-30 12:34 EST by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 10:48:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-03-30 12:34:42 EST
BusyBox passwd command fails to generate password with salt

The BusyBox passwd command does not use a proper salt when generating
passwords.  This would create an instance where a brute force attack
could take very little time.

http://bugs.busybox.net/view.php?id=604
We don't do this during install, this issue should have very minimal
impact.  This issue is also mitigated by the fact that it's only an
issue if an attacker has a copy of the shadow file.


This issue also affects FC4
Comment 1 Ivana Varekova 2006-05-04 10:48:24 EDT
This bug is fixed in devel version - busybox-1.1.1-1, fc5 - busybox-1.01-3.fc5
and fc4 - busybox-1.00-5.fc4.

Note You need to log in before you can comment on or make changes to this bug.